#ifndef GRINF_INCLUDED
#define GRINF_INCLUDED

static char *GRINF_RCSid="$Header: grinf.h,v 1.3 91/10/28 10:39:42 dtb Exp $" ;

/* Header for group information utilities by David T. Bath */

/*
    Structure for specification of group information required and
    formatting requirements.
*/
struct 	grinfrq {
	char 	nam; 	/* Boolean : group name required */
	char 	epw; 	/* Boolean : encrypted password required */
	char 	gid; 	/* Boolean : group id required */
	char 	mem; 	/* Boolean : group member list required */
	char 	vbs; 	/* Boolean : verbose output required */
	char 	dlm; 	/* Delimiter between major fields */
	char 	mdl; 	/* Delimiter between members */
} ;

#define GRINFRQ_DLM_DFLT ':'
#define GRINFRQ_MDL_DFLT ','

struct 	grinfrq * 	grinfrq_set_dflt ();
int 			grinf_fpr ();
int 			grinf_info_fpr ();

#endif
