#ifndef PWINF_INCLUDED
#define PWINF_INCLUDED

static char *PWINF_RCSid="$Header: pwinf.h,v 1.1 91/10/28 10:39:58 dtb Exp $" ;

/* Header for passwd information utilities by David T. Bath */

/*
    Structure for specification of passwd information required and
    formatting requirements.
*/
struct 	pwinfrq {
	char 	nam; 	/* Boolean : user name required */
	char 	epw; 	/* Boolean : encrypted password required */
	char 	uid; 	/* Boolean : user id required */
	char 	gid; 	/* Boolean : group id required */
	char 	age; 	/* Boolean : age information required */
	char 	cmt; 	/* Boolean : comment required */
	char 	dir; 	/* Boolean : home directory required */
	char 	shl; 	/* Boolean : initial shell required */
	char 	vbs; 	/* Boolean : verbose output required */
	char 	dlm; 	/* Delimiter between major fields */
} ;

#define PWINFRQ_DLM_DFLT ':'

struct 	pwinfrq * 	pwinfrq_set_dflt ();
int 			pwinf_fpr ();
int 			pwinf_info_fpr ();

#endif
