/*
 * NAME
 * 	getid.c 	- get id information
 * NOTES
 * 	Forms getuid, getgid, geteuid, getegid commands
 * 	all linked to same inode and kept in /usr/local/bin
 */

#include <stdio.h>
#include <string.h>
#include <gnu/fileutil.h>


static char *RCSid="$Header: getid.c,v 1.3 92/01/23 15:05:31 dtb Exp $";
static char *trim_main_name;

int main (argc, argv, envp)
int 	argc;
char 	**argv;
char 	**envp;
{
    int currid;

    trim_main_name=basename(*argv);
    if (!strcmp(trim_main_name, "getuid"))
	currid=getuid();
    else if (!strcmp(trim_main_name, "geteuid"))
	currid=geteuid();
    else if (!strcmp(trim_main_name, "getgid"))
	currid=getgid();
    else if (!strcmp(trim_main_name, "getegid"))
	currid=getegid();
    else
	currid=getuid();
    
    printf ("%d\n", currid);
}

